Call Integration
curl --request POST \
--url https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/environments/call \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"urlPath": "<string>",
"headers": {},
"query": {},
"body": "aSDinaTvuI8gbWludGxpZnk="
}
'import requests
url = "https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/environments/call"
payload = {
"urlPath": "<string>",
"headers": {},
"query": {},
"body": "aSDinaTvuI8gbWludGxpZnk="
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
urlPath: '<string>',
headers: {},
query: {},
body: JSON.stringify('aSDinaTvuI8gbWludGxpZnk=')
})
};
fetch('https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/environments/call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"headers": {},
"body": "aSDinaTvuI8gbWludGxpZnk="
}{
"code": "<string>",
"message": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": "<string>"
}projects
Call Integration
CallIntegration sends an HTTP request to a project’s deployed environment and returns the response. This allows triggering a project remotely via an HTTP call.
POST
/
o
/
{organisation_id}
/
projects
/
{project_id}
/
environments
/
call
Call Integration
Authorizations
bearerTokencookie
Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.
Query Parameters
Body
application/json
An HTTP request to send to a project's deployed environment.
The URL path to call on the integration.
The HTTP method to use for the request.
Available options:
GET, POST, PUT, PATCH, DELETE, HEAD, OPTIONS HTTP headers to include in the request.
Show child attributes
Show child attributes
Query parameters to include in the request.
Show child attributes
Show child attributes
The request body as a base64 encoded string.
⌘I